package matrices2;

import matrices.Matrix;
import matrices.MatrixUtil;
import matrices.Util;

import java.io.IOException;

public class Matrix076 {
    public static final int INT_SIZE = 4;
    public static final int DOUBLE_SIZE = 8;

    public static void main(String[] args) {
        int size = 8;
        Matrix matA = MatrixUtil.randomMatrix(size, -3, 5);
        matA.printToConsole();
        Util.print("");
        try {
            MatrixUtil.writeMatrix(matA, "matrices/assets/matrix076A.dat");
        } catch (IOException e) {
            e.printStackTrace();
        }
        Matrix matB = MatrixUtil.randomMatrix(size, 2, 8);
        matB.printToConsole();
        Util.print("");
        try {
            MatrixUtil.writeMatrix(matB, "matrices/assets/matrix076B.dat");
        } catch (IOException e) {
            e.printStackTrace();
        }
        Matrix matC = new Matrix(size, size);
        matC.setToValue(0.0);
        try {
            MatrixUtil.writeMatrix(matC, "matrices/assets/matrix076C.dat");
        } catch (IOException e) {
            e.printStackTrace();
        }
        matC.printToConsole();
        Util.print("");
        Matrix matD = MatrixUtil.multiply3(matA, matB);
        matD.printToConsole();
        Util.print("");
        MatrixUtil.multiply4("matrices/assets/matrix076A.dat", "matrices/assets/matrix076B.dat",
                "matrices/assets/matrix076C.dat");
        Matrix matE = MatrixUtil.readMatrix("matrices/assets/matrix076C.dat");
        matE.printToConsole();
        Util.print("");
    }
}
